List decisions
curl --request GET \
--url https://api.electronhub.ai/v1/router/decisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.electronhub.ai/v1/router/decisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.electronhub.ai/v1/router/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.electronhub.ai/v1/router/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.electronhub.ai/v1/router/decisions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.electronhub.ai/v1/router/decisions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.electronhub.ai/v1/router/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"decisionId": "rdec_be9434a77bff0385a2369c1d",
"at": "2026-11-08T07:34:18.527515Z",
"surface": "api",
"agentic": false,
"trigger": "explicit",
"requested": "auto/cached",
"policyId": "cached",
"mode": "auto",
"costTier": "medium",
"turn": null,
"newWork": false,
"classifier": {
"source": "skipped",
"ms": 0
},
"routerFeeUsd": 0,
"model": "muse-spark-1.3-contributor",
"blocked": false,
"fromCache": true,
"reason": "Served from cache."
}
],
"next_cursor": "1794123258417_rdec_b43f3798bf3c0b80583c99a1"
}{
"error": {
"message": "Body must be an object.",
"type": "invalid_request_error",
"param": null,
"code": 400
}
}{
"error": {
"message": "Only master keys can manage Router settings.",
"type": "error",
"param": null,
"code": 403
}
}Router
List Decisions
Recent routing decisions, newest first. Page with next_cursor.
GET
/
router
/
decisions
List decisions
curl --request GET \
--url https://api.electronhub.ai/v1/router/decisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.electronhub.ai/v1/router/decisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.electronhub.ai/v1/router/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.electronhub.ai/v1/router/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.electronhub.ai/v1/router/decisions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.electronhub.ai/v1/router/decisions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.electronhub.ai/v1/router/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"decisionId": "rdec_be9434a77bff0385a2369c1d",
"at": "2026-11-08T07:34:18.527515Z",
"surface": "api",
"agentic": false,
"trigger": "explicit",
"requested": "auto/cached",
"policyId": "cached",
"mode": "auto",
"costTier": "medium",
"turn": null,
"newWork": false,
"classifier": {
"source": "skipped",
"ms": 0
},
"routerFeeUsd": 0,
"model": "muse-spark-1.3-contributor",
"blocked": false,
"fromCache": true,
"reason": "Served from cache."
}
],
"next_cursor": "1794123258417_rdec_b43f3798bf3c0b80583c99a1"
}{
"error": {
"message": "Body must be an object.",
"type": "invalid_request_error",
"param": null,
"code": 400
}
}{
"error": {
"message": "Only master keys can manage Router settings.",
"type": "error",
"param": null,
"code": 403
}
}Authorizations
Enter your API key (starts with 'ek-')
Query Parameters
Available options:
chat, agents, api Required range:
1 <= x <= 200